搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Firefox crashes

  • 6 回覆
  • 31 有這個問題
  • 5107 次檢視
  • 最近回覆由 ebahsali

more options

Upgraded from FC15 to FC16. Firefox upgraded to version 11.0. Everything seemed to be okay post-upgrade (which happened on the 5th). This morning it had crashed and would not start even in safe-mode.

from yum log:
Apr 05 09:44:51 Updated: firefox-11.0-1.fc15.x86_64
Apr 09 08:06:22 Installed: firefox-11.0-1.fc16.x86_64

Removed/reinstalled Firefox. Tried a manual install, and firefox will not run.

./firefox
XPCOMGlueLoad error for file /home/jrmuir/firefox/libxpcom.so:
libxul.so: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

But both libxpcom.so and libxul.so exist, which doesn't make much sense. Based off an strace I'd say that it's looking everywhere ld.so.conf/cache indicate but skipping the install directory (which is the cwd when initiating the run).

由 NoahSUMO 於 修改

被選擇的解決方法

It could be an error in the dependencies. You can also try to reinstall xulrunner.

從原來的回覆中察看解決方案 👍 1

所有回覆 (6)

more options

Hi,

Please also try a new profile. If the new profile is okay, you can later copy the needed personal data from the old profile and start using the new profile. You can then delete/troubleshoot the old profile. Firefox stores your personal data and settings in another location (profile folder) separate from its folders/files. A new profile would have the default Firefox settings in Tools (Alt + T) > Options and about:config, and usually would also be empty of Extensions and themes (Appearance) in Tools > Add-ons, and their settings. Also, a new profile would have no previous stored website cache/cookies/data/preferences: Tools > Clear Recent History.

Profiles Howto

Profile Folder & Files

about:config Entries

You can also try to remove Firefox and install it afresh. The Fedora Forum would also be very helpful.

Upgrading

more options

Tried a new profile, that did not help. I've already reinstalled. A manual install did not work. I had indicated it in the crash report but it doesn't show up on the forum. When running the manual install it fails to load the xpcom library.

more options

選擇的解決方法

It could be an error in the dependencies. You can also try to reinstall xulrunner.

more options

That was it. Xulrunner reinstallation seems to have resolved the problem. Thanks!

more options

You are welcome :)

more options

Hi, I am having a similar issue after upgrading from FC15 to FC16, now Firefox and Thunderbird will not load - I get the following error which is similar to above but not quite the same : XPCOMGlueLoad error for file /usr/lib/xulrunner-2/libxpcom.so: /usr/lib/xulrunner-2/libssl3.so: version `NSS_3.13.2' not found (required by /usr/lib/xulrunner-2/libxul.so)

Have followed the steps indicated above but still a problem. Please advise

++++++++++++++++++++++ I am now able to run FF12: I renamed libssl3.so to libssl3.old in the /usr/lib/xulrunner-2 folder and now firefox 12 loads fine. I am not sure what the impact of this change will be but for now I am back up and running.

由 ebahsali 於 修改